View Issue Details

IDProjectCategoryView StatusLast Update
0022143mantisbtdocumentationpublic2019-04-21 02:53
ReporteratrolAssigned Todregad 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.21.0Fixed in Version2.21.0 
Summary0022143: Encoding of custom files not documented
Description

A wrong encoding of files like config_inc.php, custom_strings_inc.php and custom_constants.php can lead to curious side effects, e.g. 0022141
Especially UTF-8 with BOM can be quite annoying.

Documentation should be updated that UTF-8 without BOM should be used for such files.

TagsNo tags attached.

Relationships

related to 0022141 closedatrol UI Internet Explorer 11 issue if custom_strings_inc.php is used 
related to 0022144 new Check content of configuration files 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master dbfdde28

2019-03-27 12:39:22

dregad

Details Diff
Doc: config files should be in UTF-8 without BOM

Fixes 0022143
Affected Issues
0022143
mod - docbook/Admin_Guide/en-US/Installation.xml Diff File

Issue History

Date Modified Username Field Change
2017-01-09 09:54 atrol New Issue
2017-01-09 09:55 atrol Relationship added related to 0022141
2017-01-09 09:56 atrol Description Updated View Revisions
2017-01-09 10:07 atrol Relationship added related to 0022144
2017-01-09 10:12 atrol Severity minor => feature
2019-03-27 12:46 dregad Assigned To => dregad
2019-03-27 12:46 dregad Status new => assigned
2019-03-29 08:28 dregad Changeset attached => MantisBT master dbfdde28
2019-03-29 08:28 dregad Status assigned => resolved
2019-03-29 08:28 dregad Resolution open => fixed
2019-03-29 08:28 dregad Fixed in Version => 2.21.0
2019-03-29 08:28 dregad Target Version => 2.21.0
2019-04-21 02:53 vboctor Status resolved => closed